Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 687344 - sys-cluster/ceph-14.2.1: error: ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(size_t)’ cannot be overloaded with ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(unsigned int)’
Summary: sys-cluster/ceph-14.2.1: error: ‘void ceph::buffer::v14_2_0::list::iterator_i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 684860
  Show dependency tree
 
Reported: 2019-06-04 13:20 UTC by Thomas Deutschmann
Modified: 2019-09-17 22:56 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,418.40 KB, text/plain)
2019-06-04 13:20 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2019-06-04 13:20:41 UTC
Created attachment 578678 [details]
build.log

> [  3%] Building CXX object src/CMakeFiles/rados_snap_set_diff_obj.dir/librados/snap_set_diff.cc.o
> cd /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1_build/src && /usr/bin/i686-pc-linux-gnu-g++ -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D__linux__ -I/var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1_build/src/include -I/var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src -I/usr/include/nss -I/usr/include/nspr -isystem /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1_build/boost/include -isystem /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1_build/include -isystem /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/xxHash -isystem /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/rapidjson/include   -DNDEBUG -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -Wall -Wtype-limits -Wignored-qualifiers -Winit-self -Wpointer-arith -Werror=format-security -fno-strict-aliasing -fsigned-char -Wno-unknown-pragmas -rdynamic -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -ftemplate-depth-1024 -Wnon-virtual-dtor -Wno-unknown-pragmas -Wno-ignored-qualifiers -Wstrict-null-sentinel -Woverloaded-virtual -fno-new-ttp-matching -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fdiagnostics-color=auto -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free -fPIC   -DHAVE_CONFIG_H -D__CEPH__ -D_REENTRANT -D_THREAD_SAFE -D__STDC_FORMAT_MACROS -std=c++17 -o CMakeFiles/rados_snap_set_diff_obj.dir/librados/snap_set_diff.cc.o -c /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/librados/snap_set_diff.cc
> In file included from /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/include/rados/rados_types.hpp:10,
>                  from /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/librados/snap_set_diff.h:8,
>                  from /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/librados/snap_set_diff.cc:6:
> /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/include/rados/buffer.h:740:12: error: ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(size_t)’ cannot be overloaded with ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(unsigned int)’
>        void advance(size_t o) { advance(static_cast<unsigned>(o)); }
>             ^~~~~~~
> /var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1/src/include/rados/buffer.h:739:12: note: previous declaration ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(unsigned int)’
>        void advance(unsigned o);
>             ^~~~~~~
> 
> make[1]: Leaving directory '/var/tmp/portage/sys-cluster/ceph-14.2.1/work/ceph-14.2.1_build'
> make: *** [Makefile:141: all] Error 2
>  * ERROR: sys-cluster/ceph-14.2.1::gentoo failed (compile phase):
>  *   emake failed


Portage 2.3.66 (python 3.6.5-final-0, default/linux/x86/17.0, gcc-8.3.0, glibc-2.29-r2, 4.19.44-gentoo i686)
=================================================================
System uname: Linux-4.19.44-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.6
KiB Mem:     3106604 total,    703688 free
KiB Swap:     488276 total,    440652 free
Timestamp of repository gentoo: Tue, 04 Jun 2019 08:04:46 +0000
Head commit of repository gentoo: ede30e309d9b1147b8fc8837b1a7f6c96d424246

sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.31.1 p7) 2.31.1
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.2-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.14.3::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r6::gentoo
sys-devel/gcc:            8.3.0-r1::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="@FREE"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/8.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.31.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="en en-US de de-DE"
LADSPA_PATH="/usr/lib/ladspa"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/lib/llvm/7/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-1 php7-2 php7-3"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_6"
PYTHON_TARGETS="python2_7 python3_6"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/lib/llvm/7/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby24"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp/tmux-0/default,4215,0"
TMUX_PANE="%2"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
Comment 1 Andreas Sturmlechner gentoo-dev 2019-07-18 21:01:26 UTC
Any hope for this to be fixed?
Comment 2 Patrick McLean gentoo-dev 2019-07-19 20:51:56 UTC
I am happy to accept patches to fix this, I am not familiar enough with C++ to fix it myself
Comment 3 Andreas Sturmlechner gentoo-dev 2019-08-11 19:16:22 UTC
same test failure in 14.2.2?
Comment 4 Thomas Deutschmann gentoo-dev Security 2019-08-30 14:42:18 UTC
Yes, same error:

> [ 13%] Building CXX object CMakeFiles/rocksdb.dir/db/file_indexer.cc.o
> /usr/bin/i686-pc-linux-gnu-g++  -DLZ4 -DOS_LINUX -DROCKSDB_FALLOCATE_PRESENT -DROCKSDB_LIB_IO_POSIX -DROCKSDB_MALLOC_USABLE_SIZE -DROCKSDB_PLATFORM_POSIX -DROCKSDB_PTHREAD_ADAPTIVE_MUTEX -DROCKSDB_RANGESYNC_PRESENT -DROCKSDB_SCHED_GETCPU_PRESENT -DROCKSDB_SUPPORT_THREAD_LOCAL -DSNAPPY -DZLIB -I/var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/rocksdb -I/var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/rocksdb/include -isystem /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/rocksdb/third-party/gtest-1.7.0/fused-src  -O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare -W -Wextra -Wall -Wsign-compare -Wshadow -Wno-unused-parameter -Wno-unused-variable -Woverloaded-virtual -Wnon-virtual-dtor -Wno-missing-field-initializers -Wno-strict-aliasing -std=c++11 -fno-omit-frame-pointer -momit-leaf-frame-pointer -fno-builtin-memcmp -fPIC   -o CMakeFiles/rocksdb.dir/db/file_indexer.cc.o -c /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/rocksdb/db/file_indexer.cc
> In file included from /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/include/rados/rados_types.hpp:10,
>                  from /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/librados/snap_set_diff.h:8,
>                  from /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/librados/snap_set_diff.cc:6:        /var/tmp/portage/sys-cluster/ceph-14.2.2/work/ceph-14.2.2/src/include/rados/buffer.h:740:12: error: ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(size_t)’ cannot be overloaded with ‘void ceph::buffer::v14_2_0::list::iterator_impl<is_const>::advance(unsigned int)’
>        void advance(size_t o) { advance(static_cast<unsigned>(o)); }
>             ^~~~~~~
>
Comment 5 Zac Medico gentoo-dev 2019-09-16 22:39:51 UTC
This error means that size_t and unsigned int are the same type on x86. Maybe drop the x86 keyword.
Comment 6 Larry the Git Cow gentoo-dev 2019-09-17 22:56:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7b2b02c6ba86ca2e4d36ee847fa4cca88dc46c2

commit c7b2b02c6ba86ca2e4d36ee847fa4cca88dc46c2
Author:     Patrick McLean <patrick.mclean@sony.com>
AuthorDate: 2019-09-17 22:55:07 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2019-09-17 22:55:52 +0000

    sys-cluster/ceph: Version bump to 14.2.4, drop x86 (bug 687344)
    
    Dropped x86 keyword since it doesn't build (bug #687344)
    
    Upstream fix for bug #694140 included in release
    
    Closes: https://bugs.gentoo.org/687344
    Closes: https://bugs.gentoo.org/694140
    Copyright: Sony Interactive Entertainment Inc.
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 sys-cluster/ceph/Manifest                          |   1 +
 sys-cluster/ceph/ceph-14.2.4.ebuild                | 356 +++++++++++++++++++++
 .../files/ceph-14.2.3-dpdk-compile-fix-1.patch     | 111 +++++++
 3 files changed, 468 insertions(+)